www/http-parser - The NetBSD Packages Collection

Parser for HTTP messages written in C

An parser for HTTP messages written in C, parsing both requests
and responses. It is designed to be used in performance oriented
HTTP applications. It does not make any syscalls nor allocations,
it does not buffer data, it can be interrupted at anytime. Depending
on your architecture, it only requires about 40 bytes of data per
message stream (in a web server that is per connection).

Build dependencies

pkgtools/cwrappers devel/libtool-base devel/gmake

Runtime dependencies

(none)

Available binary packages

aarch64:http-parser-2.9.4.tgz(NetBSD 9.0)
aarch64:http-parser-2.9.4.tgz(NetBSD 9.0)
aarch64:http-parser-2.9.4.tgz(NetBSD 9.0)
alpha:http-parser-2.9.4.tgz(NetBSD 9.0)
alpha:http-parser-2.9.4.tgz(NetBSD 9.0)
alpha:http-parser-2.9.4.tgz(NetBSD 9.0)
earm:http-parser-2.9.4.tgz(NetBSD 9.0)
earm:http-parser-2.9.3.tgz(NetBSD 9.0)
earm:http-parser-2.9.4.tgz(NetBSD 9.0)
earmv6hf:http-parser-2.9.4.tgz(NetBSD 9.0)
earmv6hf:http-parser-2.9.4.tgz(NetBSD 9.0)
earmv6hf:http-parser-2.9.4.tgz(NetBSD 9.0)
earmv6hf:http-parser-2.9.4.tgz(NetBSD 9.0)
earmv7hf:http-parser-2.9.4.tgz(NetBSD 8.0)
earmv7hf:http-parser-2.9.3.tgz(NetBSD 8.0)
earmv7hf:http-parser-2.9.4.tgz(NetBSD 8.0)
earmv7hf:http-parser-2.9.4.tgz(NetBSD 8.0)
earmv7hf:http-parser-2.9.4.tgz(NetBSD 9.0)
earmv7hf:http-parser-2.9.3.tgz(NetBSD 9.0)
earmv7hf:http-parser-2.9.4.tgz(NetBSD 9.0)
earmv7hf:http-parser-2.9.4.tgz(NetBSD 9.0)
earmv7hf:http-parser-2.9.4.tgz(NetBSD 9.0)
i386:http-parser-2.9.4.tgz(NetBSD 8.0)
i386:http-parser-2.9.4.tgz(NetBSD 8.0)
i386:http-parser-2.9.4.tgz(NetBSD 8.0)
i386:http-parser-2.9.4.tgz(NetBSD 9.0)
i386:http-parser-2.9.4.tgz(NetBSD 9.0)
i386:http-parser-2.9.4.tgz(NetBSD 9.0)
m68k:http-parser-2.9.4.tgz(NetBSD 9.0)
m68k:http-parser-2.9.3.tgz(NetBSD 9.0)
mips64eb:http-parser-2.9.4.tgz(NetBSD 9.0)
mips64eb:http-parser-2.9.4.tgz(NetBSD 9.0)
mipsel:http-parser-2.9.4.tgz(NetBSD 9.0)
powerpc:http-parser-2.9.4.tgz(NetBSD 8.0)
powerpc:http-parser-2.9.4.tgz(NetBSD 8.0)
powerpc:http-parser-2.9.4.tgz(NetBSD 8.0)
powerpc:http-parser-2.9.4.tgz(NetBSD 9.0)
powerpc:http-parser-2.9.4.tgz(NetBSD 9.0)
sh3el:http-parser-2.9.4.tgz(NetBSD 9.0)
sh3el:http-parser-2.9.4.tgz(NetBSD 9.0)
sparc64:http-parser-2.9.4.tgz(NetBSD 9.0)
sparc64:http-parser-2.9.4.tgz(NetBSD 9.0)
sparc64:http-parser-2.9.4.tgz(NetBSD 9.0)
sparc:http-parser-2.9.4.tgz(NetBSD 9.0)
sparc:http-parser-2.9.4.tgz(NetBSD 9.0)
vax:http-parser-2.9.4.tgz(NetBSD 9.0)
x86_64:http-parser-2.9.4.tgz(NetBSD 9.0)
x86_64:http-parser-2.9.4.tgz(NetBSD 9.0)
x86_64:http-parser-2.9.4.tgz(NetBSD 9.0)
x86_64:http-parser-2.9.4.tgz(NetBSD 9.0)
x86_64:http-parser-2.9.4.tgz(NetBSD 8.0)
x86_64:http-parser-2.9.4.tgz(NetBSD 8.0)
x86_64:http-parser-2.9.4.tgz(NetBSD 8.0)
x86_64:http-parser-2.9.4.tgz(NetBSD 9.0)
x86_64:http-parser-2.9.4.tgz(NetBSD 9.0)
x86_64:http-parser-2.9.4.tgz(NetBSD 9.0)
x86_64:http-parser-2.9.4.tgz(NetBSD 9.0)

Binary packages can be installed with pkgin or pkg_add(1). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.


[ Go up one level | Go to top of packages tree | List all packages ]